Subject: Re: linux-next: build warning after merge of the origin tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 7 Jan 2021 09:44:14 +1100

Hi Johannes,

On Wed, 06 Jan 2021 23:23:42 +0100 Johannes Berg <[email-masked]> wrote:
>
> On Thu, 2021-01-07 at 09:05 +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Building Linus' tree, today's linux-next build (htmldocs) produced
> > this warning:
> > 
> > include/net/mac80211.h:4200: warning: Function parameter or member 'set_sar_specs' not described in 'ieee80211_ops'
> > 
> > Introduced by commit
> > 
> >   c534e093d865 ("mac80211: add ieee80211_set_sar_specs")
> > 
> > Sorry, I missed this earlier.  
> 
> Right, thanks. I believe I also fixed it in the patch I sent a few days
> ago that fixed the other documentation warning related to SAR that you
> reported.

I don't think so :-(  I did a htmldocs build with your patch ([PATCH
v2] cfg80211/mac80211: fix kernel-doc for SAR APIs) on top of Linus'
tree and still got this warning.  That patch did not touch
include/net/mac80211.h ...

Or is there another patch?
-- 
Cheers,
Stephen Rothwell